Flourish QMS

API reference / Certificates

List your organization's certificates

GET/v1/certificates

Needs a bearer access token with the certificates.read scope. How authentication works

Every certificate earned by your organization's learners — the same certificate_number and details shown on the PDF a learner can download from their own Florisage account. Filter by user_id to see one person's certificates, e.g. for a compliance audit.

Query parameters

  • user_idstring · uuidquery

    Only return certificates for this learner.

  • limitintegerquery

    Page size. Default 25, maximum 100.

  • offsetintegerquery

    How many results to skip before the first one returned. Maximum 10,000.

Responses

  • 200A page of certificates
    Response fields
    • dataarray of Certificate
      • idstring · uuid
      • certificate_numberstring
      • user_idstring · uuid
      • course_idstring · uuidnullable
      • learner_namestring
      • course_titlestring
      • completed_atstring · date-time
      • issued_atstring · date-time
    • totalinteger